package com.keao.edu.user.page;

import com.keao.edu.common.page.QueryInfo;
import com.keao.edu.user.enums.ExamRoomTeaherTypeEnum;
import com.keao.edu.user.enums.StudentRegistrationStatusEnum;
import io.swagger.annotations.ApiModelProperty;

public class ExamReviewQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "考试项目编号")
    private Integer examinationBaseId;

    @ApiModelProperty(value = "学员报名编号")
    private Long registId;

    @ApiModelProperty(value = "考场编号")
    private Long roomId;

    @ApiModelProperty(value = "准考证号")
    private String cardNo;

    @ApiModelProperty(value = "合作单位编号")
    private Integer organId;

    @ApiModelProperty(value = "专业编号")
    private Integer subjectId;

    @ApiModelProperty(value = "考试级别")
    private Integer level;

    @ApiModelProperty(value = "学员报名状态")
    private StudentRegistrationStatusEnum studentStatus;

    @ApiModelProperty(value = "考官编号")
    private Integer teacherId;

    @ApiModelProperty(value = "考生编号")
    private Integer studentId;

    @ApiModelProperty(value = "评审结果")
    private String evaluationResult;

    @ApiModelProperty(value = "评审时间")
    private String startTime;

    @ApiModelProperty(value = "评审时间")
    private String endTime;

    @ApiModelProperty(value = "教师属性")
    private ExamRoomTeaherTypeEnum teacherType;

    @ApiModelProperty(value = "考试时间")
    private String examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private String examEndTime;

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Long getRegistId() {
        return registId;
    }

    public void setRegistId(Long registId) {
        this.registId = registId;
    }

    public ExamRoomTeaherTypeEnum getTeacherType() {
        return teacherType;
    }

    public void setTeacherType(ExamRoomTeaherTypeEnum teacherType) {
        this.teacherType = teacherType;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getExaminationBaseId() {
        return examinationBaseId;
    }

    public void setExaminationBaseId(Integer examinationBaseId) {
        this.examinationBaseId = examinationBaseId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getEvaluationResult() {
        return evaluationResult;
    }

    public void setEvaluationResult(String evaluationResult) {
        this.evaluationResult = evaluationResult;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public StudentRegistrationStatusEnum getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(StudentRegistrationStatusEnum studentStatus) {
        this.studentStatus = studentStatus;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }
}
